org.apache.tools.ant.util

## Class MergingMapper

- java.lang.Object
- - org.apache.tools.ant.util.MergingMapper

All Implemented Interfaces:
  FileNameMapper

    public class MergingMapper
    extends java.lang.Object
    implements FileNameMapper

Implementation of FileNameMapper that always returns the same target file name.

This is the default FileNameMapper for the archiving tasks and uptodate.

### Field Summary

Fields
`protected java.lang.String[]` `mergedFile`

### Constructor Summary

Constructors
Constructor and Description
`MergingMapper()`
`MergingMapper(java.lang.String to)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `mapFileName(java.lang.String sourceFileName)` Returns an one-element array containing the file name set via setTo.
`void` `setFrom(java.lang.String from)` Ignored.
`void` `setTo(java.lang.String to)` Sets the name of the merged file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mergedFile

    protected java.lang.String[] mergedFile

### Constructor Detail

#### MergingMapper

    public MergingMapper()

#### MergingMapper

    public MergingMapper(java.lang.String to)

Parameters:
  `to` - String
Since:
  Ant 1.8.0

### Method Detail

#### setFrom

    public void setFrom(java.lang.String from)

Ignored.

Specified by:
  `setFrom` in interface `FileNameMapper`
Parameters:
  `from` - ignored.

#### setTo

    public void setTo(java.lang.String to)

Sets the name of the merged file.

Specified by:
  `setTo` in interface `FileNameMapper`
Parameters:
  `to` - the name of the merged file.

#### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

Returns an one-element array containing the file name set via setTo.

Specified by:
  `mapFileName` in interface `FileNameMapper`
Parameters:
  `sourceFileName` - ignored.
Returns:
  a one-element array containing the merged filename.